Module org.jfree.chart3d
Package org.jfree.chart3d.interaction

# Interface Chart3DMouseListener

All Superinterfaces:
  `EventListener`

public interface Chart3DMouseListener extends EventListener
The interface that must be implemented by classes that wish to receive `Chart3DMouseEvent` notifications from a `Chart3DPanel`.

Since:
  1.3
See Also:
  - `Chart3DPanel.addChartMouseListener(org.jfree.chart3d.interaction.Chart3DMouseListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`chartMouseClicked(Chart3DMouseEvent event)`
Callback method for receiving notification of a mouse click on a chart.
`void`
`chartMouseMoved(Chart3DMouseEvent event)`
Callback method for receiving notification of a mouse movement on a chart.

## Method Details

### chartMouseClicked

void chartMouseClicked(Chart3DMouseEvent event)
Callback method for receiving notification of a mouse click on a chart.

Parameters:
  `event` - information about the event.

### chartMouseMoved

void chartMouseMoved(Chart3DMouseEvent event)
Callback method for receiving notification of a mouse movement on a chart.

Parameters:
  `event` - information about the event.